Subject: Re: [PATCH v3 2/3] CI: limit GitHub Actions to designated branches

From: Đoàn Trần Công Danh <[email-masked]>
Date: Wed, 6 May 2020 00:05:46 +0700

On 2020-05-05 12:51:25-0400, Jeff King <[email-masked]> wrote:
> On Tue, May 05, 2020 at 11:26:40PM +0700, Đoàn Trần Công Danh wrote:
> 
> > -on: [push, pull_request]
> > +on:
> > +  pull_request:
> > +  push:
> > +    branches:
> > +      - maint
> > +      - master
> > +      - next
> > +      - jch
> > +      - pu
> > +      - 'for-ci**'
> 
> Should this be "for-ci/**", or are we intending for "for-ci-foo" to
> work? I'd suspect anybody who uses this would use a full directory
> namespace in a refspec (like "refs/heads/*:refs/heads/for-ci/*"). It
> might be simpler conceptually to only support that.

I made this because I saw someone mentioned that they would like to
push to 'for-ci' and expect it works for them.

I guess it may be better to have:

	- for-ci
	- for-ci/**

> 
> > +    tags:
> > +      - '**'
> > +      - '!**wip**'
> 
> IMHO this "wip" match is going too far. That was the name in the example
> I used, but really it could have been anything. I think we should
> either:
> 
>   - just build all tags; it usually takes special effort to push them up
>     anyway, so a one-off "just mark this spot" tag likely wouldn't get
>     pushed anyway
> 
>   - just build v[0-9]*, which would catch actual releases

This sounds better, just build "v[0-9]*" and ignore everything else,
with this pattern, I think we don't need to advertise tag to our
users. And our maintainer shouldn't worry about it, since our
maintainer will (likely) only push v[0-9]* tagged code, anyway.

-- 
Danh